## Synopsis

G_GNUC_UNUSED char * mono_pmip (void *ip); void mono_print_method_from_ip (void *ip); void mono_threads_request_thread_dump (void);

### Useful Debugging Functions

These functions are useful when running the Mono VM inside a debugger.
mono_pmip
G_GNUC_UNUSED char * mono_pmip (void *ip)

Parameters

> ip:
>   an instruction pointer address

Returns

> the name of the method at address ip.

Remarks

This method is used from a debugger to get the name of the method at address ip. This routine is typically invoked from a debugger like this: (gdb) print mono_pmip ($pc)
mono_print_method_from_ip
#ifdef __GNUC__ /* Prevent the linker from optimizing this away in embedding setups to help debugging */ __attribute__((used)) #endif void mono_print_method_from_ip (void *ip)

Parameters

> ip:
>   an instruction pointer address

Remarks

This method is used from a debugger to get the name of the method at address ip. This prints the name of the method at address ip in the standard output. Unlike mono_pmip which returns a string, this routine prints the value on the standard output.
mono_print_thread_dump
Prototype: mono_print_thread_dump

mono_threads_request_thread_dump
void mono_threads_request_thread_dump (void)

Remarks

Ask all threads except the current to print their stacktrace to stdout.

### Helper Tools For Native Ports